> ## Documentation Index
> Fetch the complete documentation index at: https://composio-preview.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Zulip

> Chat for distributed teams. Zulip combines the immediacy of real-time chat with an email threading model.

![Zulip logo](https://mintcdn.com/composio-preview/11RkPhDhzt1wdr6a/images/toolkits/zulip.svg?fit=max\&auto=format\&n=11RkPhDhzt1wdr6a\&q=85\&s=082393a7873422e4fbac82e7bb195acf)

* **Category:** team chat
* **Auth:** BASIC
* **Composio-managed OAuth available?** N/A
* **Tools:** 111
* **Triggers:** 0
* **Slug:** `ZULIP`
* **Version:** 20261101\_00

## Tools

> [accordion] Add Alert Words
>
> **Slug:** `ZULIP_ADD_ALERT_WORDS`
>
> Tool to add alert words to the current user's configuration. Use when you need to configure words that trigger notifications for the user. Alert words are case insensitive and duplicates are automatically ignored.
>
> #### Input Parameters
>
> **alert\_words** `array` *required*
>
> An array of strings to be added to the user's set of configured alert words. Strings already present in the user's set of alert words are ignored. Alert words are case insensitive.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Add APNs Device Token
>
> **Slug:** `ZULIP_ADD_APNS_TOKEN`
>
> Tool to add an APNs (Apple Push Notification service) device token to Zulip. Use when registering an iOS device for push notifications.
>
> #### Input Parameters
>
> **appid** `string` *required*
>
> The ID of the Zulip app that is making the request. Required as of Zulip 8.0 (feature level 223).
>
> **token** `string` *required*
>
> The APNs device token provided by the device.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Add Default Stream
>
> **Slug:** `ZULIP_ADD_DEFAULT_STREAM`
>
> Tool to add a channel as a default stream in Zulip. Use when you want to configure a channel to be automatically subscribed for all new users joining the organization.
>
> #### Input Parameters
>
> **stream\_id** `integer` *required*
>
> The ID of the target channel to add as a default stream. Default streams are automatically subscribed to all new users in the organization.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Add Linkifier
>
> **Slug:** `ZULIP_ADD_LINKIFIER`
>
> Tool to add a linkifier to a Zulip realm. Use when you need to automatically convert text patterns (like issue numbers or ticket IDs) into clickable links in messages.
>
> #### Input Parameters
>
> **pattern** `string` *required*
>
> The Python regular expression that should trigger the linkifier. Use named groups (e.g., (?P\<id>\[0-9]+)) to capture parts of the match that can be used in the URL template.
>
> **url\_template** `string` *required*
>
> The RFC 6570 compliant URL template used for the link. Insert content from named groups in the pattern using \{name\_of\_group}. This replaced url\_format\_string in Zulip 7.0 (feature level 176).
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Add Navigation View
>
> **Slug:** `ZULIP_ADD_NAVIGATION_VIEW`
>
> Tool to add a navigation view in Zulip. Use when you need to create a custom navigation view or configure a built-in view for display in the sidebar.
>
> #### Input Parameters
>
> **name** `string`
>
> The user-facing name for custom navigation views. Omit this field for built-in views.
>
> **fragment** `string` *required*
>
> A unique identifier for the view, used to determine navigation behavior when clicked. Clients should use this value to navigate to the corresponding URL hash.
>
> **is\_pinned** `boolean` *required*
>
> Determines whether the view appears directly in the sidebar or is hidden in the 'More Views' menu. True means pinned and visible in the sidebar, False means hidden and accessible via the 'More Views' menu.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Add Reaction
>
> **Slug:** `ZULIP_ADD_REACTION`
>
> Add an emoji reaction to a Zulip message using its message ID and emoji name. For Zulip Cloud connections, this action targets the Composio organization, which may differ from the configured organization.
>
> #### Input Parameters
>
> **emoji\_code** `string`
>
> A unique identifier defining the specific emoji codepoint within the namespace of the reaction\_type. Optional for most cases, but important when upvoting an existing reaction to ensure correct interpretation.
>
> **emoji\_name** `string` *required*
>
> The target emoji's human-readable name (e.g., 'octopus', 'smile', 'thumbs\_up'). To find an emoji's name, hover over a message to reveal reaction options.
>
> **message\_id** `integer` *required*
>
> The target message's ID to add the reaction to.
>
> **reaction\_type** `string`
>
> Type of emoji namespace. Supported values: 'unicode\_emoji' (dash-separated hex Unicode codepoints), 'realm\_emoji' (custom emoji ID), 'zulip\_extra\_emoji' (special Zulip emoji). Defaults to 'unicode\_emoji' if not specified.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Archive Channel
>
> **Slug:** `ZULIP_ARCHIVE_STREAM`
>
> Tool to archive a channel in Zulip. Use when you need to permanently archive a channel by its ID.
>
> #### Input Parameters
>
> **stream\_id** `integer` *required*
>
> The ID of the channel to archive.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Check Messages Match Narrow
>
> **Slug:** `ZULIP_CHECK_MESSAGES_MATCH_NARROW`
>
> Tool to check if specific messages match a narrow filter. Use when you need to determine whether messages satisfy complex search criteria that the client cannot evaluate locally.
>
> #### Input Parameters
>
> **narrow** `array` *required*
>
> List of narrow filter objects defining the search criteria. See Zulip's narrow documentation for supported operators.
>
> **msg\_ids** `array` *required*
>
> List of message IDs to check against the narrow filter.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Create BigBlueButton video call
>
> **Slug:** `ZULIP_CREATE_BIG_BLUE_BUTTON_VIDEO_CALL`
>
> Tool to create a BigBlueButton video call in Zulip. Use when you need to generate a video conference link for team meetings or discussions.
>
> #### Input Parameters
>
> **voice\_only** `boolean`
>
> Configures whether the call is voice-only; if true, disables cameras for all users. Only the call creator/moderator can edit this configuration. Available in Zulip 10.0 (feature level 337) and later.
>
> **meeting\_name** `string` *required*
>
> Meeting name for the BigBlueButton video call.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Create Channel
>
> **Slug:** `ZULIP_CREATE_CHANNEL`
>
> Tool to create a new channel in Zulip. Use when you need to set up a new communication channel with specified subscribers. Channels organize conversations by topic within Zulip.
>
> #### Input Parameters
>
> **name** `string` *required*
>
> The name of the new channel to create. This is a required field.
>
> **announce** `boolean`
>
> Whether the notification bot will send an announcement about the new channel's creation. Defaults to false.
>
> **folder\_id** `integer`
>
> Adds the newly created channel to the specified channel folder ID for organization.
>
> **description** `string`
>
> The description for the new channel in text/markdown format. Describes the purpose and content of the channel.
>
> **invite\_only** `boolean`
>
> Whether the newly created channel will be a private channel. Private channels require an invitation to join. Defaults to false (public channel).
>
> **subscribers** `array` *required*
>
> A list of user IDs to be subscribed to the new channel. This is a required field. You can get user IDs from the list users endpoint.
>
> **is\_web\_public** `boolean`
>
> Whether the newly created channel will be web-public, meaning anyone can read messages without being logged in. Note that creating web-public channels requires specific server and organization settings. Defaults to false.
>
> **topics\_policy** `string ("inherit" | "allow_empty_topic" | "disable_empty_topic" | "empty_topic_only")`
>
> Policy for how topics work in the channel.
>
> **is\_default\_stream** `boolean`
>
> Whether the newly created channel will be added as a default channel for new users joining the organization. Defaults to false.
>
> **message\_retention\_days** `string`
>
> Number of days that messages sent to this channel will be stored before being automatically deleted by the message retention policy. Special values: 'realm\_default' (use organization setting), 'unlimited' (retain forever). Can also be an integer for specific number of days.
>
> **history\_public\_to\_subscribers** `boolean`
>
> Whether the channel's message history should be available to newly subscribed members. If true, new subscribers can see all past messages. If false, users can only see messages sent after they subscribed. This is relevant for private channels.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Create Channel Folder
>
> **Slug:** `ZULIP_CREATE_CHANNEL_FOLDER`
>
> Tool to create a new channel folder in Zulip. Use when you need to organize channels into folders for better management.
>
> #### Input Parameters
>
> **name** `string` *required*
>
> The name of the channel folder. Value cannot be an empty string. Clients should use the max\_channel\_folder\_name\_length returned by the POST /register endpoint to determine the maximum channel folder name length.
>
> **description** `string`
>
> The description of the channel folder. Can be an empty string if no description is desired. Clients should use the max\_channel\_folder\_description\_length returned by the POST /register endpoint to determine the maximum channel folder description length.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Create custom profile field
>
> **Slug:** `ZULIP_CREATE_CUSTOM_PROFILE_FIELD`
>
> Tool to create a custom profile field in Zulip. Use when you need to add custom user profile fields for organization members.
>
> #### Input Parameters
>
> **hint** `string`
>
> The help text to be displayed for the custom profile field in user-facing settings UI
>
> **name** `string`
>
> The name of the custom profile field, which will appear in user-facing settings UI and in user profiles
>
> **required** `boolean`
>
> Whether an organization administrator has configured this profile field as required. Users without values for required fields will see a prominent banner
>
> **field\_data** `object`
>
> Additional configuration for field types 3 (Dropdown) and 7 (External account). For Dropdown, this is a JSON dictionary defining the choices and their display order
>
> **field\_type** `integer ("1" | "2" | "3" | "4" | "5" | "6" | "7" | "8")` *required*
>
> The type of custom profile field to create. Options: 1=Short text, 2=Paragraph, 3=Dropdown, 4=Date picker, 5=Link, 6=Person picker, 7=External account, 8=Pronouns
>
> **editable\_by\_user** `boolean`
>
> Whether regular users can edit this profile field on their own account. Organization administrators can always edit custom profile fields for any user
>
> **use\_for\_user\_matching** `boolean`
>
> Whether this custom profile field should be used to match users in typeahead suggestions. Only allowed for Short Text and External Account profile field types
>
> **display\_in\_profile\_summary** `boolean`
>
> Whether clients should display this profile field in a summary section of a user's profile. At most 2 profile fields may have this property be true. Paragraph and Person picker types are not supported for profile summaries
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Create Drafts
>
> **Slug:** `ZULIP_CREATE_DRAFTS`
>
> Tool to create one or more draft messages in Zulip. Use when you need to save message drafts for later editing or sending.
>
> #### Input Parameters
>
> **drafts** `array` *required*
>
> A list of draft objects to create. Each draft contains type, recipients, topic, and content.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Create reusable invitation link
>
> **Slug:** `ZULIP_CREATE_INVITE_LINK`
>
> Tool to create a reusable invitation link for the Zulip organization. Use when you need to generate an invite link that can be shared with multiple users to join the organization.
>
> #### Input Parameters
>
> **group\_ids** `array`
>
> A list containing the IDs of the user groups that the newly created user will be automatically added to if the invitation is accepted. If the list is empty, then the new user will not be added to any user groups. The acting user must have permission to add users to the groups listed.
>
> **invite\_as** `string ("owner" | "administrator" | "moderator" | "member" | "guest")`
>
> Organization-level role for the invited user.
>
> **stream\_ids** `array`
>
> A list containing the IDs of the channels that the newly created user will be automatically subscribed to if the invitation is accepted, in addition to any default channels. Requested channels must either be default channels for the organization, or ones the acting user has permission to add subscribers to.
>
> **invite\_expires\_in\_minutes** `integer`
>
> The number of minutes before the invitation will expire. If null, the invitation will never expire. If unspecified, the server will use a default value (typically 14400, i.e. 10 days).
>
> **welcome\_message\_custom\_text** `string`
>
> Custom message text, in Zulip Markdown format, to be sent by the Welcome Bot to new users that join the organization via this invitation. Maximum length is 8000 characters. Only organization administrators can use this feature. Null uses the organization's default, empty string sends no custom message.
>
> **include\_realm\_default\_subscriptions** `boolean`
>
> Boolean indicating whether the newly created user should be subscribed to the default channels for the organization. Defaults to false if not specified.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Create Message Reminder
>
> **Slug:** `ZULIP_CREATE_MESSAGE_REMINDER`
>
> Tool to create a message reminder in Zulip. Use when you need to set up a reminder for a specific message that will be sent at a scheduled time via the Notification Bot.
>
> #### Input Parameters
>
> **note** `string`
>
> A note associated with the reminder shown in the Notification Bot message. This field was added in Zulip 11.0 (feature level 415).
>
> **message\_id** `integer` *required*
>
> The ID of the previously sent message to reference in the reminder message.
>
> **scheduled\_delivery\_timestamp** `integer` *required*
>
> The UNIX timestamp for when the reminder will be sent, in UTC seconds.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Create Saved Snippet
>
> **Slug:** `ZULIP_CREATE_SAVED_SNIPPET`
>
> Tool to create a saved snippet in Zulip. Use when you need to save reusable text content that can be quickly inserted into messages.
>
> #### Input Parameters
>
> **title** `string` *required*
>
> The title of the saved snippet.
>
> **content** `string` *required*
>
> The content of the saved snippet in Zulip-flavored Markdown format. Clients should insert this content into a message when using a saved snippet.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Create Scheduled Message
>
> **Slug:** `ZULIP_CREATE_SCHEDULED_MESSAGE`
>
> Tool to create a scheduled message in Zulip. Use when you need to schedule a message to be sent at a future time to channels or direct messages.
>
> #### Input Parameters
>
> **to** `string` *required*
>
> The scheduled message's tentative target audience. For channel messages, provide the integer ID of the channel. For direct messages, provide a list containing integer user IDs.
>
> **type** `string ("direct" | "channel" | "stream" | "private")` *required*
>
> The type of scheduled message to be sent. Use "direct" for a direct message and "stream" or "channel" for a channel message. Note that "private" is supported for backward compatibility but "direct" is preferred.
>
> **topic** `string`
>
> The topic of the message. Only required for channel messages (type "stream" or "channel"), ignored otherwise. When topics are required, this cannot be empty or "(no topic)".
>
> **content** `string` *required*
>
> The content of the message. Clients should use the max\_message\_length returned by the POST /register endpoint to determine the maximum message size.
>
> **read\_by\_sender** `boolean`
>
> Whether the message should be initially marked read by its sender. If unspecified, the server uses a heuristic based on the client name and the recipient.
>
> **scheduled\_delivery\_timestamp** `integer` *required*
>
> The UNIX timestamp for when the message will be sent, in UTC seconds.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Delete Draft
>
> **Slug:** `ZULIP_DELETE_DRAFT`
>
> Tool to delete a draft in Zulip. Use when you need to remove a saved draft message.
>
> #### Input Parameters
>
> **draft\_id** `integer` *required*
>
> The ID of the draft you want to delete.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Delete Message
>
> **Slug:** `ZULIP_DELETE_MESSAGE`
>
> Tool to delete a message in Zulip. Use when you need to remove a message from a stream or direct message conversation.
>
> #### Input Parameters
>
> **message\_id** `integer` *required*
>
> The target message's ID to be deleted.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Delete Event Queue
>
> **Slug:** `ZULIP_DELETE_QUEUE`
>
> Tool to delete an event queue previously registered via POST /api/v1/register. Use when you need to clean up a queue that is no longer needed.
>
> #### Input Parameters
>
> **queue\_id** `string` *required*
>
> The ID of an event queue that was previously registered via POST /api/v1/register. This queue will be deleted and no longer available for event retrieval.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Delete Reminder
>
> **Slug:** `ZULIP_DELETE_REMINDER`
>
> Tool to delete a reminder from Zulip. Use when you need to remove a scheduled reminder by its ID.
>
> #### Input Parameters
>
> **reminder\_id** `integer` *required*
>
> The ID of the reminder to delete. This is different from the unique ID that the message would have after being sent.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Delete Saved Snippet
>
> **Slug:** `ZULIP_DELETE_SAVED_SNIPPET`
>
> Tool to delete a saved snippet by its ID. Use when you need to remove a snippet from saved snippets.
>
> #### Input Parameters
>
> **saved\_snippet\_id** `integer` *required*
>
> The ID of the saved snippet to delete.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Delete Scheduled Message
>
> **Slug:** `ZULIP_DELETE_SCHEDULED_MESSAGE`
>
> Tool to delete a scheduled message in Zulip. Use when you need to cancel a message that was scheduled to be sent later. This is permanent and cannot be undone.
>
> #### Input Parameters
>
> **scheduled\_message\_id** `integer` *required*
>
> The ID of the scheduled message to delete. This is different from the unique ID that the message would have after being sent.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Delete Topic
>
> **Slug:** `ZULIP_DELETE_TOPIC`
>
> Tool to delete a topic from a Zulip channel/stream. Use when you need to permanently remove a topic and all its messages from a specific stream. Note: This operation is irreversible and will delete all messages in the topic.
>
> #### Input Parameters
>
> **stream\_id** `integer` *required*
>
> The ID of the channel/stream containing the topic to delete
>
> **topic\_name** `string` *required*
>
> The name of the topic to delete. Note: When the value of realm\_empty\_topic\_display\_name is used, it is interpreted as an empty string.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Edit Draft
>
> **Slug:** `ZULIP_EDIT_DRAFT`
>
> Tool to edit an existing draft message in Zulip. Use when you need to update the content, topic, recipients, or other properties of a saved draft.
>
> #### Input Parameters
>
> **draft** `object` *required*
>
> Draft object containing the updated draft details.
>
> **draft\_id** `integer` *required*
>
> The ID of the draft to be edited.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Edit Navigation View
>
> **Slug:** `ZULIP_EDIT_NAVIGATION_VIEW`
>
> Tool to update a navigation view in Zulip. Use when you need to pin/unpin a view or rename a custom navigation view.
>
> #### Input Parameters
>
> **name** `string`
>
> The user-facing name for custom navigation views. Omit this field for built-in views. At least one of is\_pinned or name must be provided.
>
> **fragment** `string` *required*
>
> The unique URL hash of the navigation view to be updated. This also serves as the identifier for the navigation view.
>
> **is\_pinned** `boolean`
>
> Determines whether the view is pinned (true) or hidden in the menu (false). At least one of is\_pinned or name must be provided.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Edit Saved Snippet
>
> **Slug:** `ZULIP_EDIT_SAVED_SNIPPET`
>
> Tool to edit a saved snippet by updating its title and/or content. Use when you need to modify an existing snippet.
>
> #### Input Parameters
>
> **title** `string`
>
> The title of the saved snippet.
>
> **content** `string`
>
> The content of the saved snippet in the original Zulip-flavored Markdown format. Clients should insert this content into a message when using a saved snippet.
>
> **saved\_snippet\_id** `integer` *required*
>
> The ID of the saved snippet to edit.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Export Realm
>
> **Slug:** `ZULIP_EXPORT_REALM`
>
> Tool to create a Zulip realm data export. Use when you need to export organization data. The export is created asynchronously and can be downloaded later.
>
> #### Input Parameters
>
> **export\_type** `string ("public" | "full_with_consent" | "full_without_consent")`
>
> Type of data export to create. 'public' exports only public data. 'full\_with\_consent' includes private data for users who have granted consent. 'full\_without\_consent' exports all data including private data for all users (requires organization to have owner\_full\_content\_access feature enabled).
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get alert words
>
> **Slug:** `ZULIP_GET_ALERT_WORDS`
>
> Tool to retrieve all configured alert words for the authenticated user. Use when you need to check which words or phrases trigger notifications.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get Another User Presence
>
> **Slug:** `ZULIP_GET_ANOTHER_USER_PRESENCE`
>
> Tool to get the presence status for a specific user in Zulip. Use when you need to check if a user is currently active, idle, or offline. This endpoint is designed for embedding presence data in external applications. If the timestamp is more than a few minutes old, the user should be considered offline.
>
> #### Input Parameters
>
> **user\_id\_or\_email** `string` *required*
>
> The ID or Zulip API email address of the user whose presence you want to fetch. Accepts either user ID (integer as string) or email address. New in Zulip 4.0 (feature level 43) - previous versions only supported email.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get Attachments
>
> **Slug:** `ZULIP_GET_ATTACHMENTS`
>
> Tool to retrieve metadata on files uploaded by the requesting user. Use when you need to list all attachments with their details including file names, sizes, and associated messages.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get Channel Folders
>
> **Slug:** `ZULIP_GET_CHANNEL_FOLDERS`
>
> Tool to retrieve all channel folders in the organization, sorted by display order. Use when you need to list or organize channel folders.
>
> #### Input Parameters
>
> **include\_archived** `boolean`
>
> Whether to include archived channel folders in the response.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get custom emoji
>
> **Slug:** `ZULIP_GET_CUSTOM_EMOJI`
>
> Tool to retrieve all custom emoji configured in the Zulip realm. Use when you need to get the list of available custom emoji including their names, IDs, and source URLs.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get custom profile fields
>
> **Slug:** `ZULIP_GET_CUSTOM_PROFILE_FIELDS`
>
> Tool to get all custom profile fields configured for the Zulip realm. Use when you need to retrieve the list of custom profile fields including their types, names, and configuration.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get drafts
>
> **Slug:** `ZULIP_GET_DRAFTS`
>
> Tool to fetch all drafts for the authenticated user. Use when you need to retrieve all saved draft messages, which are returned in order of last edit time (most recent first).
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get Events
>
> **Slug:** `ZULIP_GET_EVENTS`
>
> Tool to get events from a Zulip event queue. Use when you need to retrieve new events after registering a queue.
>
> #### Input Parameters
>
> **queue\_id** `string` *required*
>
> The ID of an event queue that was previously registered via POST /api/v1/register (see Register a queue).
>
> **dont\_block** `boolean`
>
> Set to true if the client is requesting a nonblocking reply. If not specified, the request will block until either a new event is available or a few minutes have passed, in which case the server will send the client a heartbeat event.
>
> **last\_event\_id** `integer` *required*
>
> The highest event ID in this queue that you've received and wish to acknowledge. Use -1 to start from the beginning.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get file temporary URL
>
> **Slug:** `ZULIP_GET_FILE_TEMPORARY_URL`
>
> Tool to get a public temporary URL for an uploaded file in Zulip. Use when you need to access or share a file that was previously uploaded to the Zulip organization.
>
> #### Input Parameters
>
> **filename** `string` *required*
>
> Path to the uploaded file. This is the path returned when uploading a file to Zulip.
>
> **realm\_id\_str** `integer` *required*
>
> The ID of the Zulip organization.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get realm icon
>
> **Slug:** `ZULIP_GET_ICON`
>
> Tool to retrieve the URL of the Zulip realm's icon. Use when you need to get the organization's icon image URL.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get all invitations
>
> **Slug:** `ZULIP_GET_INVITES`
>
> Tool to retrieve all unexpired invitations for the Zulip organization. Use when you need to list all active email invitations and reusable invitation links that can be managed by the user.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get user group membership status
>
> **Slug:** `ZULIP_GET_IS_USER_GROUP_MEMBER`
>
> Tool to check if a user is a member of a specific user group. Use when you need to verify user group membership status.
>
> #### Input Parameters
>
> **user\_id** `integer` *required*
>
> The target user's ID.
>
> **user\_group\_id** `integer` *required*
>
> The ID of the target user group.
>
> **direct\_member\_only** `boolean`
>
> Whether to consider only the direct members of user group and not members of its subgroups. Default is `false`.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get linkifiers
>
> **Slug:** `ZULIP_GET_LINKIFIERS`
>
> Tool to retrieve all configured linkifiers in the Zulip realm. Use when you need to get the list of regex patterns that are automatically converted to links in messages and topics.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get message
>
> **Slug:** `ZULIP_GET_MESSAGE`
>
> Tool to fetch a single message by ID from Zulip. Use when you need to retrieve the full details of a specific message including its content, sender, reactions, and edit history.
>
> #### Input Parameters
>
> **message\_id** `integer` *required*
>
> The target message's ID.
>
> **apply\_markdown** `boolean`
>
> If true, message content is returned in rendered HTML format. If false, message content is returned in raw Zulip-flavored Markdown format. Defaults to true.
>
> **allow\_empty\_topic\_name** `boolean`
>
> Whether the client supports processing the empty string as a topic in the topic name fields. If false, the server uses realm\_empty\_topic\_display\_name instead. Defaults to false.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get Message History
>
> **Slug:** `ZULIP_GET_MESSAGE_HISTORY`
>
> Tool to fetch the complete edit history of a Zulip message. Use when you need to see all changes made to a message over time, including content edits, topic changes, and channel moves. Returns snapshots in chronological order from oldest to newest.
>
> #### Input Parameters
>
> **message\_id** `integer` *required*
>
> The target message's ID.
>
> **allow\_empty\_topic\_name** `boolean`
>
> Whether the topic names i.e. `topic` and `prev_topic` fields in the `message_history` objects returned can be empty string. If false, the value of `realm_empty_topic_display_name` found in the `POST /register` response is returned replacing the empty string as the topic name. Defaults to false. New in Zulip 10.0 (feature level 334).
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get Messages
>
> **Slug:** `ZULIP_GET_MESSAGES`
>
> Tool to fetch messages from Zulip. Use when you need to retrieve messages using various filters like anchor position, narrow queries, or specific message IDs. Supports pagination via num\_before/num\_after parameters.
>
> #### Input Parameters
>
> **anchor** `string`
>
> Integer message ID to anchor fetching of new messages, or special string values: 'newest' (most recent message), 'oldest' (oldest message), 'first\_unread' (oldest unread message matching query), or 'date' (first message on/after anchor\_date). String values added in Zulip 3.0.
>
> **narrow** `array`
>
> List of narrow filter objects restricting which messages to fetch. For example, use \[\{"operator": "channels", "operand": "public"}] for all public channels. Many narrows search the user's personal message history.
>
> **num\_after** `integer`
>
> Number of messages with IDs greater than the anchor to retrieve. Required if message\_ids is not provided.
>
> **num\_before** `integer`
>
> Number of messages with IDs less than the anchor to retrieve. Required if message\_ids is not provided.
>
> **anchor\_date** `string`
>
> Date or datetime to use when anchor is 'date'. Accepts ISO 8601 date-only (2005-04-18) or full datetime strings (2005-04-18T12:34:56Z). If only date, time is midnight UTC. New in Zulip 12.0 (feature level 445).
>
> **message\_ids** `string`
>
> JSON-encoded list of message IDs to fetch. Server returns messages from this list that exist and user has access to, optionally filtered by narrow. Mutually exclusive with anchor, include\_anchor, use\_first\_unread\_anchor, num\_before, and num\_after. New in Zulip 10.0 (feature level 300).
>
> **apply\_markdown** `boolean`
>
> If true, message content is returned in rendered HTML format. If false, returns raw Markdown-format text that user entered.
>
> **include\_anchor** `boolean`
>
> Whether a message with the specified ID matching the narrow should be included. New in Zulip 6.0 (feature level 155).
>
> **client\_gravatar** `boolean`
>
> Whether the client supports computing gravatar URLs. If true, avatar\_url is only included when there's a Zulip avatar (null for gravatar users). Default changed to true in Zulip 5.0 (feature level 92).
>
> **allow\_empty\_topic\_name** `boolean`
>
> Whether the client supports processing empty string as a topic name. If false, server uses realm\_empty\_topic\_display\_name instead. New in Zulip 10.0 (feature level 334).
>
> **use\_first\_unread\_anchor** `boolean`
>
> Legacy way to specify anchor='first\_unread' (Zulip 2.1.x and older). Whether to use the first unread message matching the narrow as anchor. Mutually exclusive with anchor. Deprecated in Zulip 3.0 (feature level 1).
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get Navigation Views
>
> **Slug:** `ZULIP_GET_NAVIGATION_VIEWS`
>
> Tool to fetch all navigation views for the authenticated user. Use when you need to retrieve all configured custom navigation views, which are displayed in the sidebar or 'More Views' menu.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get own user
>
> **Slug:** `ZULIP_GET_OWN_USER`
>
> Tool to retrieve the profile information for the authenticated user. Use when you need to get details about the current user such as email, full name, role, timezone, or other profile data.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get Read Receipts
>
> **Slug:** `ZULIP_GET_READ_RECEIPTS`
>
> Tool to retrieve read receipts for a message in Zulip. Use when you need to see which users have read a specific message.
>
> #### Input Parameters
>
> **message\_id** `integer` *required*
>
> The target message's ID to retrieve read receipts for.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get realm export consents
>
> **Slug:** `ZULIP_GET_REALM_EXPORT_CONSENTS`
>
> Tool to retrieve data export consent state for users in a realm. Use when you need to check which users have consented for their private data to be exported by organization administrators.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get all data exports
>
> **Slug:** `ZULIP_GET_REALM_EXPORTS`
>
> Tool to retrieve all data exports for the Zulip organization. Use when you need to list all data exports, including their status (pending, completed, or failed) and download URLs. Requires organization administrator access.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get Realm Presence
>
> **Slug:** `ZULIP_GET_REALM_PRESENCE`
>
> Tool to get the presence status for all users in the Zulip realm. Use when you need to check which users are currently active, idle, or offline across the entire organization. If a user's timestamp is more than a few minutes old, they should be considered offline.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get reminders
>
> **Slug:** `ZULIP_GET_REMINDERS`
>
> Tool to fetch all undelivered reminders for the authenticated user. Use when you need to retrieve scheduled reminders, which are returned in order of scheduled delivery time. This feature is available in Zulip 11.0+ (feature level 399).
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get Saved Snippets
>
> **Slug:** `ZULIP_GET_SAVED_SNIPPETS`
>
> Tool to fetch all saved snippets for the authenticated user. Use when you need to retrieve reusable text content that can be quickly inserted into messages.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get Scheduled Messages
>
> **Slug:** `ZULIP_GET_SCHEDULED_MESSAGES`
>
> Tool to fetch all scheduled messages for the authenticated user. Use when you need to retrieve all undelivered scheduled messages, which are returned in order of scheduled delivery time (earliest first).
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get server settings
>
> **Slug:** `ZULIP_GET_SERVER_SETTINGS`
>
> Retrieve Zulip server configuration, version information, and available authentication methods using the configured connection.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get Channel by ID
>
> **Slug:** `ZULIP_GET_STREAM_BY_ID`
>
> Tool to get detailed information about a Zulip channel by its ID. Use when you need to retrieve complete channel details including permissions, settings, and metadata.
>
> #### Input Parameters
>
> **stream\_id** `integer` *required*
>
> The ID of the channel to access.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get channel email address
>
> **Slug:** `ZULIP_GET_STREAM_EMAIL_ADDRESS`
>
> Tool to retrieve the email address for a Zulip channel. Use when you need to get the email address that can be used to send messages to a specific channel via email.
>
> #### Input Parameters
>
> **sender\_id** `integer`
>
> The ID of a user or bot which should appear as the sender when messages are sent to the channel using the returned channel email address. Can be the ID of the current user, the Email gateway bot (default), or a bot owned by the current user.
>
> **stream\_id** `integer` *required*
>
> The ID of the channel to access.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get Channel ID
>
> **Slug:** `ZULIP_GET_STREAM_ID`
>
> Tool to get a channel's unique ID by its name. Use when you need to retrieve the numeric identifier for a channel given its human-readable name.
>
> #### Input Parameters
>
> **stream** `string` *required*
>
> The name of the channel to access. Channel names are case-sensitive in Zulip.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get All Channels
>
> **Slug:** `ZULIP_GET_STREAMS`
>
> Tool to retrieve all channels (streams) in Zulip that match specified filters. Use when you need to list available channels, discover public channels, or find channels the user has access to. Returns detailed metadata for each channel including permissions and settings.
>
> #### Input Parameters
>
> **include\_all** `boolean`
>
> Include all channels that the user has metadata access to. For organization administrators, this will be all channels in the organization. New in Zulip 10.0 (feature level 356). Defaults to false.
>
> **include\_public** `boolean`
>
> Include all public channels. Defaults to true.
>
> **include\_default** `boolean`
>
> Include all default channels for the user's realm. When true, the is\_default field will be present in stream objects. Defaults to false.
>
> **exclude\_archived** `boolean`
>
> Whether to exclude archived streams from the results. New in Zulip 10.0 (feature level 315). Defaults to true.
>
> **include\_all\_active** `boolean`
>
> Deprecated parameter to include all channels. The user must have administrative privileges to use this parameter. Deprecated in Zulip 10.0 (feature level 356). Use include\_all instead. Defaults to false.
>
> **include\_subscribed** `boolean`
>
> Include all channels that the user is subscribed to. Defaults to true.
>
> **include\_web\_public** `boolean`
>
> Include all web-public channels. Defaults to false.
>
> **include\_owner\_subscribed** `boolean`
>
> If the user is a bot, include all channels that the bot's owner is subscribed to. Defaults to false.
>
> **include\_can\_access\_content** `boolean`
>
> Include all the channels that the user has content access to. New in Zulip 10.0 (feature level 356). Defaults to false.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get stream topics
>
> **Slug:** `ZULIP_GET_STREAM_TOPICS`
>
> Tool to retrieve all topics in a Zulip channel. Use when you need to get the list of discussion topics within a specific channel, along with the maximum message ID for each topic.
>
> #### Input Parameters
>
> **stream\_id** `integer` *required*
>
> The ID of the channel to access.
>
> **allow\_empty\_topic\_name** `boolean`
>
> Whether the client supports processing the empty string as a topic name in the returned data. If false, the value of realm\_empty\_topic\_display\_name found in the POST /register response is returned replacing the empty string as the topic name. New in Zulip 10.0 (feature level 334).
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get Channel Subscribers
>
> **Slug:** `ZULIP_GET_SUBSCRIBERS`
>
> Tool to get all subscribers of a Zulip channel. Use when you need to retrieve the list of user IDs subscribed to a specific channel.
>
> #### Input Parameters
>
> **stream\_id** `integer` *required*
>
> The ID of the channel to access. This identifies which channel's subscribers you want to retrieve.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get Subscriptions
>
> **Slug:** `ZULIP_GET_SUBSCRIPTIONS`
>
> Tool to retrieve all channels (streams) the authenticated user is subscribed to. Use when you need to list subscribed channels with their details including names, IDs, and optionally subscriber lists.
>
> #### Input Parameters
>
> **include\_subscribers** `string ("true" | "false" | "partial")`
>
> Options for including subscriber information in channel objects.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get subscription status
>
> **Slug:** `ZULIP_GET_SUBSCRIPTION_STATUS`
>
> Tool to check whether a specific user is subscribed to a particular channel (stream). Use when you need to verify subscription status of a user for a given channel.
>
> #### Input Parameters
>
> **user\_id** `integer` *required*
>
> The target user's ID.
>
> **stream\_id** `integer` *required*
>
> The ID of the channel to access.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get user by email
>
> **Slug:** `ZULIP_GET_USER`
>
> Tool to fetch a user by email address from Zulip. Use when you need to retrieve detailed information about a specific user including their profile, role, and status.
>
> #### Input Parameters
>
> **email** `string` *required*
>
> The email address of the user to fetch. Two forms are supported: 1) The real email address of the user (delivery\_email) - lookup succeeds if email visibility permits. 2) The dummy Zulip API email address of the form user\{user\_id}@\{realm\_host} (legacy behavior).
>
> **client\_gravatar** `boolean`
>
> Whether the client supports computing gravatars URLs. If enabled, avatar\_url will be included in the response only if there is a Zulip avatar, and will be null for users who are using gravatar as their avatar. Defaults to true.
>
> **include\_custom\_profile\_fields** `boolean`
>
> Whether the client wants custom profile field data to be included in the response. New in Zulip 2.1.0. Defaults to false.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get user channels
>
> **Slug:** `ZULIP_GET_USER_CHANNELS`
>
> Tool to retrieve the list of channel IDs that a specific user is subscribed to. Use when you need to get a user's subscribed channels.
>
> #### Input Parameters
>
> **user\_id** `integer` *required*
>
> The target user's ID.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get user group members
>
> **Slug:** `ZULIP_GET_USER_GROUP_MEMBERS`
>
> Retrieve member user IDs for a specific Zulip user group, optionally restricting the results to direct members.
>
> #### Input Parameters
>
> **user\_group\_id** `integer` *required*
>
> The ID of the target user group.
>
> **direct\_member\_only** `boolean`
>
> Whether to consider only the direct members of user group and not members of its subgroups. Default is `false`.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get user groups
>
> **Slug:** `ZULIP_GET_USER_GROUPS`
>
> Tool to retrieve all user groups in the Zulip organization. Use when you need to list user groups with their members, subgroups, and permission settings.
>
> #### Input Parameters
>
> **include\_deactivated\_groups** `boolean`
>
> Whether to include deactivated user groups in the response. Default is false. Available since Zulip 10.0 (feature level 290).
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get user group subgroups
>
> **Slug:** `ZULIP_GET_USER_GROUP_SUBGROUPS`
>
> Tool to retrieve subgroups of a user group. Use when you need to get the list of subgroup IDs for a specific user group.
>
> #### Input Parameters
>
> **user\_group\_id** `integer` *required*
>
> The ID of the target user group.
>
> **direct\_subgroup\_only** `boolean`
>
> Whether to consider only direct subgroups of the user group or subgroups of subgroups also. Default is `false`.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get user status
>
> **Slug:** `ZULIP_GET_USER_STATUS`
>
> Tool to retrieve the status currently set by a user in the Zulip organization. Use when you need to get a user's custom status message, emoji, or away status. Available in Zulip 9.0+ (feature level 262).
>
> #### Input Parameters
>
> **user\_id** `integer` *required*
>
> The target user's ID.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Mark All Messages as Read
>
> **Slug:** `ZULIP_MARK_ALL_AS_READ`
>
> Tool to mark all messages as read for the authenticated user. Use when you need to clear all unread message indicators. Note: This endpoint is deprecated.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Mark Stream as Read
>
> **Slug:** `ZULIP_MARK_STREAM_AS_READ`
>
> Tool to mark all messages in a Zulip channel as read. Use when you need to mark all unread messages in a specific channel as read.
>
> #### Input Parameters
>
> **stream\_id** `integer` *required*
>
> The ID of the channel (stream) to mark as read. All unread messages in this channel will be marked as read.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Mark Topic as Read
>
> **Slug:** `ZULIP_MARK_TOPIC_AS_READ`
>
> Tool to mark all messages in a topic as read. Use when you need to clear unread status for all messages within a specific topic in a channel.
>
> #### Input Parameters
>
> **stream\_id** `integer` *required*
>
> The ID of the channel/stream containing the topic.
>
> **topic\_name** `string` *required*
>
> The name of the topic whose messages should be marked as read. Note: When the value of realm\_empty\_topic\_display\_name is used, it is interpreted as an empty string.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Mute Topic
>
> **Slug:** `ZULIP_MUTE_TOPIC`
>
> Tool to mute or unmute a topic in a Zulip channel. Use when you want to control topic notifications by muting or unmuting specific topics.
>
> #### Input Parameters
>
> **op** `string ("add" | "remove")` *required*
>
> Whether to mute ('add') or unmute ('remove') the provided topic.
>
> **topic** `string` *required*
>
> The topic to (un)mute. The request will succeed regardless of whether any messages have been sent to the specified topic.
>
> **stream** `string`
>
> The name of the channel to access. Clients must provide either 'stream' or 'stream\_id', but not both. Use 'stream\_id' when possible for better performance.
>
> **stream\_id** `integer`
>
> The ID of the channel to access. Clients must provide either 'stream' or 'stream\_id', but not both. Prefer this over 'stream' parameter.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Reactivate User
>
> **Slug:** `ZULIP_REACTIVATE_USER`
>
> Tool to reactivate a deactivated user in Zulip. Use when you need to restore access for a previously deactivated user account.
>
> #### Input Parameters
>
> **user\_id** `integer` *required*
>
> The target user's ID to reactivate.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Register Push Device
>
> **Slug:** `ZULIP_REGISTER_PUSH_DEVICE`
>
> Tool to register an E2EE (end-to-end encrypted) push device for mobile notifications. Use when setting up push notifications with encrypted payloads for mobile clients.
>
> #### Input Parameters
>
> **push\_key** `string` *required*
>
> Key that the client would like the server to use to encrypt notifications, encoded with Base64. The key is a byte sequence beginning with a single byte that encodes which cryptosystem to use, followed by the key to use for that cryptosystem. Supported cryptosystems: 0x31 (LibSodium's SecretBox symmetric key encryption system). Keys are 32 bytes.
>
> **token\_kind** `string ("fcm" | "apns")` *required*
>
> Whether the token was generated by FCM (Firebase Cloud Messaging) or APNs (Apple Push Notification service).
>
> **push\_account\_id** `integer` *required*
>
> A random integer generated by the client that will be included in mobile push notifications along with encrypted payloads to identify pushes as being related to this registration. Must be unique in the client's table of accounts.
>
> **bouncer\_public\_key** `string` *required*
>
> Which of the bouncer's public keys the client used to encrypt the PushRegistration dictionary. When the bouncer rotates the key, a new asymmetric key pair is created, and the new public key is baked into a new client release. This field clarifies which public key the client is using.
>
> **encrypted\_push\_registration** `string` *required*
>
> Ciphertext generated by encrypting a PushRegistration dictionary using the bouncer\_public\_key, encoded using a RFC 4648 standard base64 encoder. The PushRegistration dictionary contains the fields token, token\_kind, timestamp, and (for iOS devices) ios\_app\_id. The dictionary is JSON-encoded before encryption.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Register Event Queue
>
> **Slug:** `ZULIP_REGISTER_QUEUE`
>
> Tool to register an event queue for receiving Zulip events. Use when you need to set up an event queue to receive real-time updates about messages, subscriptions, and other realm events.
>
> #### Input Parameters
>
> **narrow** `array`
>
> A JSON-encoded array of arrays of length 2 indicating the narrow filter(s) for which you'd like to receive events for. For example, to receive events for direct messages: `[["is", "dm"]]`.
>
> **event\_types** `array`
>
> A JSON-encoded array indicating which types of events you're interested in. Values that you might find useful include: 'message' (messages), 'subscription' (changes in your subscriptions), 'realm\_user' (changes to users in the organization and their properties). If you do not specify this parameter, you will receive all events.
>
> **slim\_presence** `boolean`
>
> If true, the presences object returned in the response will be keyed by user ID and the entry for each user's presence data will be in the modern format.
>
> **apply\_markdown** `boolean`
>
> Set to true if you would like the content to be rendered in HTML format (otherwise the API will return the raw text that the user entered).
>
> **client\_gravatar** `boolean`
>
> Whether the client supports computing gravatar URLs. If enabled, avatar\_url will be included in the response only if there is a Zulip avatar, and will be null for users who are using gravatar as their avatar.
>
> **fetch\_event\_types** `array`
>
> Same as the event\_types parameter except that the values in fetch\_event\_types are used to fetch initial data. If fetch\_event\_types is not provided, event\_types is used.
>
> **all\_public\_streams** `boolean`
>
> Whether you would like to request message events from all public channels. Useful for workflow bots that you'd like to see all new messages sent to public channels.
>
> **client\_capabilities** `object`
>
> Dictionary containing details on features the client supports that are relevant to the format of responses sent by the server.
>
> **include\_subscribers** `string`
>
> Whether each returned channel object should include a subscribers field containing a list of the user IDs of its subscribers. Supported values: 'true', 'false', 'partial'. The 'partial' value returns subset of subscribers for some channels.
>
> **presence\_history\_limit\_days** `integer`
>
> Limits how far back in time to fetch user presence data. If not specified, defaults to 14 days. A value of N means that the oldest presence data fetched will be from at most N days ago.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Remove Alert Words
>
> **Slug:** `ZULIP_REMOVE_ALERT_WORDS`
>
> Tool to remove alert words from the current user's configuration. Use when you need to delete words that trigger notifications for the user. Words not in the user's set are automatically ignored.
>
> #### Input Parameters
>
> **alert\_words** `array` *required*
>
> An array of strings to be removed from the user's set of configured alert words. Strings that are not in the user's set of alert words are ignored.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Remove Attachment
>
> **Slug:** `ZULIP_REMOVE_ATTACHMENT`
>
> Tool to delete an attachment in Zulip. Use when you need to remove a file attachment that was previously uploaded.
>
> #### Input Parameters
>
> **attachment\_id** `integer` *required*
>
> The ID of the attachment to be deleted.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Remove Code Playground
>
> **Slug:** `ZULIP_REMOVE_CODE_PLAYGROUND`
>
> Tool to remove a code playground from a Zulip realm. Use when you need to delete an existing code playground configuration.
>
> #### Input Parameters
>
> **playground\_id** `integer` *required*
>
> The ID of the playground that you want to remove.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Remove Default Stream
>
> **Slug:** `ZULIP_REMOVE_DEFAULT_STREAM`
>
> Tool to remove a channel from default streams in Zulip. Use when you want to stop a channel from being automatically subscribed to all new users joining the organization.
>
> #### Input Parameters
>
> **stream\_id** `integer` *required*
>
> The ID of the target channel to remove from default streams. This will stop the channel from being automatically subscribed to new users in the organization.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Remove FCM Token
>
> **Slug:** `ZULIP_REMOVE_FCM_TOKEN`
>
> Tool to remove an FCM registration token for Android push notifications. Use when unregistering a device from push notifications in Zulip. Note: This endpoint is deprecated.
>
> #### Input Parameters
>
> **token** `string` *required*
>
> The FCM registration token provided by the device to be removed.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Remove Linkifier
>
> **Slug:** `ZULIP_REMOVE_LINKIFIER`
>
> Tool to remove a linkifier from a Zulip realm. Use when you need to delete an existing linkifier that automatically converts text patterns into clickable links.
>
> #### Input Parameters
>
> **filter\_id** `integer` *required*
>
> The ID of the linkifier that you want to remove.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Remove Navigation View
>
> **Slug:** `ZULIP_REMOVE_NAVIGATION_VIEW`
>
> Tool to remove a navigation view in Zulip. Use when you need to delete a custom navigation view from the sidebar.
>
> #### Input Parameters
>
> **fragment** `string` *required*
>
> The unique URL hash of the navigation view to be removed. This also serves as the identifier for the navigation view.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Remove Reaction
>
> **Slug:** `ZULIP_REMOVE_REACTION`
>
> Remove an emoji reaction from a Zulip message using its message ID and optional emoji identifiers. For Zulip Cloud connections, this action targets the Composio organization, which may differ from the configured organization.
>
> #### Input Parameters
>
> **emoji\_code** `string`
>
> A unique identifier defining the specific emoji codepoint within the namespace of the reaction\_type. Optional for most cases, but important when removing a vote on an existing reaction to ensure correct interpretation, especially when handling emoji data mapping changes.
>
> **emoji\_name** `string`
>
> The target emoji's human-readable name (e.g., 'octopus', 'smile', 'thumbs\_up'). To find an emoji's name, hover over a message to reveal reaction options.
>
> **message\_id** `integer` *required*
>
> The target message's ID to remove the reaction from.
>
> **reaction\_type** `string`
>
> Type of emoji namespace. Supported values: 'unicode\_emoji' (dash-separated hex Unicode codepoints), 'realm\_emoji' (custom emoji ID), 'zulip\_extra\_emoji' (special Zulip emoji). Should match the value used when the reaction was originally added.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Render Message
>
> **Slug:** `ZULIP_RENDER_MESSAGE`
>
> Tool to render a message to HTML in Zulip. Use when you need to preview how a message will appear when rendered from Markdown to HTML format.
>
> #### Input Parameters
>
> **content** `string` *required*
>
> The content of the message to render. This should be in Zulip's Markdown format. Clients should use the max\_message\_length returned by the POST /register endpoint to determine the maximum message size.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Reorder Channel Folders
>
> **Slug:** `ZULIP_REORDER_CHANNEL_FOLDERS`
>
> Tool to reorder channel folders in Zulip. Use when you need to change the display order of channel folders. The order list must include all organization channel folder IDs.
>
> #### Input Parameters
>
> **order** `array` *required*
>
> A list of channel folder IDs representing the new order. This list must include the IDs of all the organization's channel folders, including archived folders. The order in which the IDs appear in this list determines the new display order of the folders.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Reorder Custom Profile Fields
>
> **Slug:** `ZULIP_REORDER_CUSTOM_PROFILE_FIELDS`
>
> Tool to reorder custom profile fields in Zulip. Use when you need to change the display order of custom profile fields in user profiles and settings. The order list must include all custom profile field IDs.
>
> #### Input Parameters
>
> **order** `array` *required*
>
> A list of the IDs of all the custom profile fields defined in this organization, in the desired new order. This list must include all custom profile field IDs currently configured in the realm.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Reorder Linkifiers
>
> **Slug:** `ZULIP_REORDER_LINKIFIERS`
>
> Tool to reorder linkifiers in Zulip. Use when you need to change the processing order of linkifiers in a realm. The order matters when patterns overlap.
>
> #### Input Parameters
>
> **ordered\_linkifier\_ids** `array` *required*
>
> A list of the IDs of all the linkifiers defined in this organization, in the desired new order. This list must include all linkifier IDs currently configured in the realm.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Revoke Email Invitation
>
> **Slug:** `ZULIP_REVOKE_EMAIL_INVITE`
>
> Tool to revoke an email invitation in Zulip. Use when you need to cancel a pending invitation that has not yet been accepted.
>
> #### Input Parameters
>
> **invite\_id** `integer` *required*
>
> The ID of the email invitation to be revoked.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Revoke reusable invitation link
>
> **Slug:** `ZULIP_REVOKE_INVITE_LINK`
>
> Tool to revoke a reusable invitation link for the Zulip organization. Use when you need to invalidate an invite link that was previously created.
>
> #### Input Parameters
>
> **invite\_id** `integer` *required*
>
> The ID of the reusable invitation link to be revoked.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Send Message
>
> **Slug:** `ZULIP_SEND_MESSAGE`
>
> Tool to send a message in Zulip. Use when you need to send a direct message to users or post a message to a channel/stream.
>
> #### Input Parameters
>
> **to** `string` *required*
>
> For channel messages: channel name (string) or channel ID (integer). For direct messages: list of user IDs (integers) or list of email addresses (strings). Examples: 'general' for channel name, 42 for channel ID, \[123, 456] for user IDs, \['[user@example.com](mailto:user@example.com)'] for email addresses.
>
> **type** `string ("direct" | "channel" | "stream" | "private")` *required*
>
> The type of message to be sent. 'direct' for a direct message and 'stream' or 'channel' for a channel message. Note: 'private' is deprecated, use 'direct' instead.
>
> **topic** `string`
>
> The topic of the message. Required for channel messages (type='stream' or type='channel'), ignored for direct messages. Clients should use the max\_topic\_length returned by the POST /register endpoint to determine the maximum topic length.
>
> **content** `string` *required*
>
> The content of the message in Zulip's Markdown format. Clients should use the max\_message\_length returned by the POST /register endpoint to determine the maximum message size.
>
> **local\_id** `string`
>
> For clients supporting local echo, a unique string-format identifier chosen freely by the client. The server will pass it back without inspection. Required if queue\_id is provided.
>
> **queue\_id** `string`
>
> For clients supporting local echo, the event queue ID for the client. If passed, local\_id is required. Used to avoid message duplication on reconnection.
>
> **read\_by\_sender** `boolean`
>
> Whether the message should be initially marked read by its sender. If unspecified, the server uses a heuristic based on the client name.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Send Test Notification
>
> **Slug:** `ZULIP_SEND_TEST_NOTIFICATION`
>
> Tool to send a test notification to mobile device(s). Use when testing push notifications for mobile clients. Note: This endpoint is deprecated.
>
> #### Input Parameters
>
> **token** `string`
>
> The push token for the device to which to send the test notification. If not provided, the test notification will be sent to all of the user's devices registered on the server. A mobile client should pass this parameter to avoid triggering a test notification for other clients.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Set Typing Status
>
> **Slug:** `ZULIP_SET_TYPING_STATUS`
>
> Tool to set typing status in Zulip. Use when you want to indicate that a user is typing or has stopped typing a message.
>
> #### Input Parameters
>
> **op** `string ("start" | "stop")` *required*
>
> Whether the user has started ('start') or stopped ('stop') typing.
>
> **to** `array`
>
> User IDs of the recipients of the message being typed. Required for the 'direct' type. Ignored in the case of 'stream' or 'channel' type. Clients should send a JSON-encoded list of user IDs, even if there is only one recipient.
>
> **type** `string ("direct" | "stream" | "channel")`
>
> Type of the message being composed. 'direct' for direct messages, 'stream' or 'channel' for channel messages. Defaults to 'direct'.
>
> **topic** `string`
>
> Topic to which message is being typed. Required for the 'stream' or 'channel' type. Ignored in the case of 'direct' type. Note: When '(no topic)' is used for this parameter, it is interpreted as an empty string.
>
> **stream\_id** `integer`
>
> ID of the channel in which the message is being typed. Required for the 'stream' or 'channel' type. Ignored in the case of 'direct' type.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Set Typing Status for Message Edit
>
> **Slug:** `ZULIP_SET_TYPING_STATUS_FOR_MESSAGE_EDIT`
>
> Tool to set typing status when editing a message in Zulip. Use when you want to indicate that a user is editing or has stopped editing a specific message.
>
> #### Input Parameters
>
> **op** `string ("start" | "stop")` *required*
>
> Whether the user has started ('start') or stopped ('stop') editing.
>
> **message\_id** `integer` *required*
>
> The target message's ID.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Subscribe to Channel
>
> **Slug:** `ZULIP_SUBSCRIBE_TO_CHANNEL`
>
> Tool to subscribe users to one or more Zulip channels. Use when you need to add users to channels. If a channel doesn't exist, it will be created automatically. By default, subscribes the authenticated user.
>
> #### Input Parameters
>
> **announce** `boolean`
>
> If one of the channels specified did not exist previously and is thus created by this call, this determines whether the notification bot will send an announcement about the new channel's creation. Defaults to false.
>
> **principals** `array`
>
> A list of user IDs (preferred) or Zulip API email addresses of the users to be subscribed to the specified channels. If not provided, the requesting user/bot is subscribed. User IDs (integers) are preferred over email addresses (strings).
>
> **invite\_only** `boolean`
>
> Whether any newly created channels will be private channels. Private channels require an invitation to join. Only applies when creating new channels. Defaults to false (public channel).
>
> **is\_web\_public** `boolean`
>
> Whether any newly created channels will be web-public, meaning anyone can read messages without being logged in. Note that creating web-public channels requires specific server and organization settings. Only applies when creating new channels. Defaults to false.
>
> **subscriptions** `array` *required*
>
> A list of channel subscription objects. Each object must contain a 'name' field specifying the channel name, and can optionally contain a 'description' field for creating new channels.
>
> **authorization\_errors\_fatal** `boolean`
>
> Whether authorization errors (such as when the requesting user is not authorized to access a private channel) should be considered fatal. When true (default), an authorization error is reported as an error. When false, the response will be a 200 and any channels where the request encountered an authorization error will be listed in the 'unauthorized' key.
>
> **history\_public\_to\_subscribers** `boolean`
>
> Whether the channel's message history should be available to newly subscribed members. If true, new subscribers can see all past messages. If false, users can only see messages sent after they subscribed. This is relevant for private channels and only applies when creating new channels.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Test Welcome Bot Custom Message
>
> **Slug:** `ZULIP_TEST_WELCOME_BOT_CUSTOM_MESSAGE`
>
> Tool to test welcome bot custom message in Zulip. Use when you need to preview how a custom welcome message will appear before setting it as the default for new users.
>
> #### Input Parameters
>
> **welcome\_message\_custom\_text** `string` *required*
>
> Custom message text, in Zulip Markdown format, to be used for this test message. Maximum length is 8000 characters.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Unsubscribe From Channel
>
> **Slug:** `ZULIP_UNSUBSCRIBE_FROM_CHANNEL`
>
> Tool to unsubscribe from one or more channels (streams) in Zulip. Use when you need to remove users from channels or unsubscribe the authenticated user from channels.
>
> #### Input Parameters
>
> **principals** `array`
>
> A list of user IDs (preferred) or Zulip API email addresses of the users to be unsubscribed from the channels specified in the `subscriptions` parameter. If not provided, then the requesting user/bot is unsubscribed. The integer format is new in Zulip 3.0 (feature level 9).
>
> **subscriptions** `array` *required*
>
> A list of channel names to unsubscribe from. Each name should be the exact name of the channel as it appears in Zulip.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Update Channel Folder
>
> **Slug:** `ZULIP_UPDATE_CHANNEL_FOLDER`
>
> Tool to update a channel folder in Zulip. Use when you need to modify the name, description, or archive status of an existing channel folder.
>
> #### Input Parameters
>
> **name** `string`
>
> The new name of the channel folder. Value cannot be an empty string. Clients should use the max\_channel\_folder\_name\_length returned by the POST /register endpoint to determine the maximum channel folder name length.
>
> **description** `string`
>
> The new description of the channel folder. Clients should use the max\_channel\_folder\_description\_length returned by the POST /register endpoint to determine the maximum channel folder description length.
>
> **is\_archived** `boolean`
>
> Whether to archive or unarchive the channel folder.
>
> **channel\_folder\_id** `integer` *required*
>
> The ID of the target channel folder to update.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Update Linkifier
>
> **Slug:** `ZULIP_UPDATE_LINKIFIER`
>
> Update a Zulip realm linkifier's pattern and URL template. Both the pattern and URL template are required when modifying an existing linkifier.
>
> #### Input Parameters
>
> **pattern** `string` *required*
>
> The Python regular expression that should trigger the linkifier. Use named groups (e.g., (?P\<id>\[0-9]+)) to capture parts of the match that can be used in the URL template.
>
> **filter\_id** `integer` *required*
>
> The ID of the linkifier that you want to update.
>
> **url\_template** `string` *required*
>
> The RFC 6570 compliant URL template used for the link. Insert content from named groups in the pattern using \{name\_of\_group}. This replaced url\_format\_string in Zulip 7.0 (feature level 176).
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Update Message
>
> **Slug:** `ZULIP_UPDATE_MESSAGE`
>
> Tool to edit a message in Zulip. Use when you need to update message content, move messages to a different topic or channel, or resolve topics.
>
> #### Input Parameters
>
> **topic** `string`
>
> The topic to move the message(s) to, to request changing the topic. Should only be sent when changing the topic, and will throw an error if the target message is not a channel message. You can resolve topics by editing the topic to '✔ \{original\_topic}' with propagate\_mode set to 'change\_all'.
>
> **content** `string`
>
> The updated content of the target message. Clients should use the max\_message\_length returned by the POST /register endpoint to determine the maximum message size. Note that a message's content and channel cannot be changed at the same time, so sending both content and stream\_id parameters will throw an error.
>
> **stream\_id** `integer`
>
> The channel ID to move the message(s) to, to request moving messages to another channel. Should only be sent when changing the channel, and will throw an error if the target message is not a channel message. Note that a message's content and channel cannot be changed at the same time, so sending both content and stream\_id parameters will throw an error.
>
> **message\_id** `integer` *required*
>
> The target message's ID to be updated.
>
> **propagate\_mode** `string ("change_one" | "change_later" | "change_all")`
>
> Propagate mode for message updates.
>
> **prev\_content\_sha256** `string`
>
> An optional SHA-256 hash of the previous raw content of the message that the client has at the time of the request. If provided, the server will return an error if it does not match the SHA-256 hash of the message's content stored in the database. Clients can use this feature to prevent races where multiple clients save conflicting edits to a message.
>
> **send\_notification\_to\_new\_thread** `boolean`
>
> Whether to send an automated message to the new topic to notify users where the messages came from. If the move is just resolving/unresolving a topic, this parameter will not trigger an additional notification. Defaults to true.
>
> **send\_notification\_to\_old\_thread** `boolean`
>
> Whether to send an automated message to the old topic to notify users where the messages were moved to. Defaults to false.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Update Message Flags
>
> **Slug:** `ZULIP_UPDATE_MESSAGE_FLAGS`
>
> Tool to update personal message flags in Zulip. Use when you need to mark messages as read/unread, starred/unstarred, or modify other personal message flags. This allows bulk operations on multiple messages at once.
>
> #### Input Parameters
>
> **op** `string ("add" | "remove")` *required*
>
> Whether to add the flag or remove it from the specified messages.
>
> **flag** `string` *required*
>
> The flag that should be added/removed. Common flags include 'read', 'starred', 'collapsed', 'mentioned', 'wildcard\_mentioned', 'has\_alert\_word', 'historical'.
>
> **messages** `array` *required*
>
> An array containing the IDs of the target messages to update flags for.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Update Message Flags for Narrow
>
> **Slug:** `ZULIP_UPDATE_MESSAGE_FLAGS_FOR_NARROW`
>
> Update personal message flags, such as read or starred, for a range of messages matching a narrow filter. The range is specified around an anchor, and the server may reduce its size.
>
> #### Input Parameters
>
> **op** `string ("add" | "remove")` *required*
>
> Whether to add the flag or remove it.
>
> **flag** `string` *required*
>
> The flag that should be added/removed. Common flags include 'read', 'starred', 'collapsed', 'mentioned', 'wildcard\_mentioned', 'has\_alert\_word', 'historical'.
>
> **anchor** `string` *required*
>
> Integer message ID to anchor the update range, or special string values: 'newest' (most recent message), 'oldest' (oldest message), 'first\_unread' (oldest unread message).
>
> **narrow** `array`
>
> List of narrow filter objects defining the search criteria. See Zulip's narrow documentation for supported operators. When adding the 'read' flag, consider including the 'is:unread' filter for optimization.
>
> **num\_after** `integer` *required*
>
> Limit the number of messages following the anchor in the update range. The server may decrease this to bound transaction sizes.
>
> **num\_before** `integer` *required*
>
> Limit the number of messages preceding the anchor in the update range. The server may decrease this to bound transaction sizes.
>
> **include\_anchor** `boolean`
>
> Whether a message with the specified ID matching the narrow should be included in the update range.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Update Realm User Settings Defaults
>
> **Slug:** `ZULIP_UPDATE_REALM_USER_SETTINGS_DEFAULTS`
>
> Tool to update realm-level defaults of user settings in Zulip. Use when you need to configure organization-wide default settings for new users. At least one setting parameter must be provided.
>
> #### Input Parameters
>
> **emojiset** `string`
>
> The user's configured emoji set, used to display emoji to the user everywhere they appear in the UI. Valid values: 'google', 'twitter', 'text'.
>
> **enter\_sends** `boolean`
>
> Whether pressing Enter in the compose box sends a message (or saves a message edit).
>
> **color\_scheme** `string ("Automatic" | "Dark theme" | "Light theme")`
>
> Controls which color theme to use.
>
> **enable\_sounds** `boolean`
>
> Enable audible desktop notifications for direct messages and @-mentions.
>
> **web\_home\_view** `string`
>
> The home view used when opening a new Zulip web app window or hitting the Esc keyboard shortcut repeatedly. Valid values: 'recent', 'inbox', 'all\_messages'.
>
> **user\_list\_style** `string ("Compact" | "With status" | "With avatar and status")`
>
> The style selected by the user for the right sidebar user list.
>
> **hide\_ai\_features** `boolean`
>
> Controls whether user wants AI features like topic summarization to be hidden in all Zulip clients.
>
> **presence\_enabled** `boolean`
>
> Display the presence status to other users when online.
>
> **web\_font\_size\_px** `integer`
>
> User-configured primary font-size for the web application, in pixels.
>
> **fluid\_layout\_width** `boolean`
>
> Whether to use the maximum available screen width for the web app's center panel (message feed, recent conversations) on wide screens.
>
> **high\_contrast\_mode** `boolean`
>
> This setting is reserved for use to control variations in Zulip's design to help visually impaired users.
>
> **left\_side\_userlist** `boolean`
>
> Whether the users list on left sidebar in narrow windows.
>
> **notification\_sound** `string`
>
> Notification sound name.
>
> **send\_read\_receipts** `boolean`
>
> Whether other users are allowed to see whether you've read messages.
>
> **translate\_emoticons** `boolean`
>
> Whether to translate emoticons to emoji in messages the user sends.
>
> **enable\_digest\_emails** `boolean`
>
> Enable digest emails when the user is away.
>
> **twenty\_four\_hour\_time** `boolean`
>
> Whether time should be displayed in 24-hour notation.
>
> **starred\_message\_counts** `boolean`
>
> Whether clients should display the number of starred messages.
>
> **demote\_inactive\_streams** `string ("Automatic" | "Always" | "Never")`
>
> Whether to hide inactive channels in the left sidebar.
>
> **web\_line\_height\_percent** `integer`
>
> User-configured primary line-height for the web application, in percent, so a value of 120 represents a line-height of 1.2.
>
> **email\_address\_visibility** `string ("Everyone" | "Members only" | "Administrators only" | "Nobody" | "Moderators only")`
>
> Policy for which other users can see the user's real email address.
>
> **web\_channel\_default\_view** `string ("Top topic in the channel" | "Channel feed" | "List of topics" | "Top unread topic in channel")`
>
> Default navigation behavior when clicking on a channel link.
>
> **wildcard\_mentions\_notify** `boolean`
>
> Whether wildcard mentions (E.g. @**all**) should send notifications like a personal mention.
>
> **desktop\_icon\_count\_display** `string ("All unread messages" | "DMs, mentions, and followed topics" | "DMs and mentions" | "None")`
>
> Unread count badge (appears in desktop sidebar and browser tab).
>
> **web\_animate\_image\_previews** `string ("always" | "on_hover" | "never")`
>
> Controls how animated images should be played in the message feed.
>
> **web\_suggest\_update\_timezone** `boolean`
>
[...]
